# Retrieve a guest's collection of data extensions

Retrieves the URLs for each of the guest's data extensions.

We recommend that you retrieve the URLs using the expand=true query parameter to check that the keys you intend to create when you Create a data extension are unique. This is because keys must be unique across all data extensions within a guest profile.

In the response, each URL in items.href corresponds to one data extension. Use this URL to interact with the guest's data extension, for example, to retrieve or update it.

Endpoint: GET /v2.1/guests/{guestRef}/extensions
Version: v2.1
Security: BasicAuth

## Path parameters:

  - `guestRef` (string, required)
    The guest reference. This is a unique identifier of the guest record. If you don't know the guest reference, first retrieve guests.
    Example: "f7aabbca-1c1b-4fc2-be72-3e16294a4f03"

## Query parameters:

  - `offset` (object)
    Collection responses use offset pagination. The offset query parameter is used to exclude from a response the first N items of the entire resource collection.
    Example: 10

  - `limit` (object)
    Collection responses use offset pagination. This query parameter lets you adjust the maximum number of collection items to return for a single request.
    Example: 40

  - `expand` (array)
    You can expand items in a collection by setting expand=true. This eliminates the need to send multiple follow-up requests (one for the collection and another for each of its items). This also helps you check if the data you intend to create already exists.
    Example: true

## Response 200 fields (application/json):

  - `href` (string)
    Request's URL.
    Example: "https://api-engage-eu.sitecorecloud.io/v2.1/guests/f7aabbca-1c1b-4fc2-be72-3e16294a4f03/extensions?offset=0&limit=10"

  - `items` (array)

  - `items.href` (string)
    Example: "https://api-engage-eu.sitecorecloud.io/v2.1/guests/c6cf690f-8384-4734-ab2d-6caa53b6308c/extensions/ext"

  - `limit` (integer)
    Request's limit.
    Example: 10

  - `offset` (integer)
    Request's offset.

## Response 404 fields (application/json):

  - `code` (integer)
    The HTTP response status code.
    Example: 404

  - `developerMessage` (string)
    Error description for developers.
    Example: "Data extension ext2 for Guest ref ea9b4612-3488-47d9-beea-17404876f5d6 and client key {...} was not found for v2.1"

  - `message` (string)
    Error description.
    Example: "The specified resource does not exist."

  - `moreInfoUrl` (string)
    URL to get more information about the error.
    Example: "https://support.sitecore.com"

  - `status` (integer)
    The HTTP request status.
    Example: 404


